Index: FCKeditor/trunk/_whatsnew.html
===================================================================
--- FCKeditor/trunk/_whatsnew.html	(revision 2907)
+++ FCKeditor/trunk/_whatsnew.html	(revision 2908)
@@ -39,13 +39,14 @@
 	<ul>
 		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/2685">#2685</a>] Integration
-			with "Web Spell Checker", a <strong>zero installation and free spell checker</strong>
+			with "WebSpellChecker", a <strong>zero installation and free spell checker</strong>
 			provided by SpellChecker.net. This is now the default spell checker in the editor
 			(requires internet connection). All previous spell checking solutions are still
 			available.</li>
-		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/2430">#2430</a>] In the table 
-			dialog it's possible to create header cells in the first row (included in a thead element)
-			or the first column of the table. </li>
-		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/822">#822</a>] The table cell
-			dialog allows to switch between normal data cells or header cells (TD vs TH). </li>
+		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/2430">#2430</a>] In the
+			table dialog it's possible to create header cells in the first row (included in
+			a thead element) or the first column of the table. </li>
+		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/822">#822</a>] The table
+			cell dialog allows switching between normal data cells or header cells (TD vs. TH).
+		</li>
 		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/2515">#2515</a>] New language
 			file for Icelandic.</li>
@@ -54,33 +55,33 @@
 		Fixed Bugs:</p>
 	<ul>
-		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/2381">#2381</a>] Protected the editor
-		from duplicate iframes</li>
+		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/2381">#2381</a>] Protected
+			the editor from duplicate iframes</li>
 		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/1752">#1752</a>] Fixed
-			the issue with Tablecommands plugin and undefined tagName.</li>
+			the issue with tablecommands plugin and undefined tagName.</li>
 		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/2333">#2333</a>] The &amp;gt;
 			character inside text wasn't encoded in Opera and Safari.</li>
-		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/2467">#2467</a>] Fixed JavaScript
-			error with the fit window command in source mode.</li>
-		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/2472">#2472</a>] Splitting a TH
-			will create a two TH, not a TH and a TD.</li>
+		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/2467">#2467</a>] Fixed
+			JavaScript error with the fit window command in source mode.</li>
+		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/2472">#2472</a>] Splitting
+			a TH will create a two TH, not a TH and a TD.</li>
 		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/1891">#1891</a>] Removed
 			unnecessary name attributes in dialogs. </li>
-		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/798">#798</a>, 
-			<a target="_blank" href="http://dev.fckeditor.net/ticket/2495">#2495</a>] If an image was
-			placed inside a container with dimensions or floating it wasn't possible to edit its 
-			properties from the toolbar or context menu.</li>
-		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/1982">#1982</a>] Submenus in IE7
-			now are shown properly.</li>
-		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/2496">#2496</a>] Using the Paste
-			dialogs in IE might insert the content at the start of the editor.</li>
-		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/2349">#2496</a>] Fixed RTL dialog
-			layout in Internet Explorer.</li>
-		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/2488">#2488</a>] Fixed the issue
-			where email links in IE would take the browser to a new page in addition to calling up the
-			email client.</li>
-		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/2519">#2519</a>] Fixed race
-			condition at registering the FCKeditorAPI object in multiple editor scenarios.</li>
-		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/2525">#2525</a>] Fixed JavaScript
-			error in Google Chrome when StartupShowBlocks is set to true.</li>
+		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/798">#798</a>, <a target="_blank"
+			href="http://dev.fckeditor.net/ticket/2495">#2495</a>] If an image was placed inside
+			a container with dimensions or floating it wasn't possible to edit its properties
+			from the toolbar or context menu.</li>
+		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/1982">#1982</a>] Submenus
+			in IE7 now are shown properly.</li>
+		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/2496">#2496</a>] Using
+			the Paste dialogs in IE might insert the content at the start of the editor.</li>
+		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/2349">#2496</a>] Fixed
+			RTL dialog layout in Internet Explorer.</li>
+		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/2488">#2488</a>] Fixed
+			the issue where email links in IE would take the browser to a new page in addition
+			to calling up the email client.</li>
+		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/2519">#2519</a>] Fixed
+			race condition at registering the FCKeditorAPI object in multiple editor scenarios.</li>
+		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/2525">#2525</a>] Fixed
+			JavaScript error in Google Chrome when StartupShowBlocks is set to true.</li>
 		<li>Language file updates for the following languages:
 			<ul>
@@ -88,5 +89,5 @@
 				<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/2451">#2451</a>] Basque</li>
 				<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/2451">#2650</a>] Danish</li>
-				<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/2208">#2535</a>] German  
+				<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/2208">#2535</a>] German
 				</li>
 			</ul>
@@ -96,44 +97,46 @@
 		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/2573">#2573</a>] The type
 			name in configurations for the ASP connector are now case sensitive.</li>
-		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/2503">#2503</a>] DL, DT and DD where 
-			missing the formatting in the generated HTML.</li> 	
-		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/2516">#2516</a>] Replaced the
-			extension AddItem of Array with the standard "push" method.</li>
-		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/2486">#2486</a>] Vertically splitting
-			cell with colspan &gt; 1 breaks table layout.</li> 			
-		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/2597">#2597</a>] Fixed the issue
-			where dropping contents from outside of the editor doesn't work in Safari.</li>
-		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/2412">#2412</a>] Fixed the issue 
-			where FCK.InsertHtml() is no longer removing selected contents after content insertion
-			in Firefox.</li>
-		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/2407">#2407</a>] Fixed the issue
-			where the Div container command and the blockquote command would break lists.</li>
-		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/2469">#2469</a>] Fixed a minor
-			issue where FCK.SetData() may cause the editor to become unresponsive to the first click
-			after being defocused.</li>
-		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/2611">#2611</a>] Fixed an extra slash
-			on quickupload of the asp connector.</li>
-		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/2616">#2616</a>] Fixed another situation
-			where new elements were inserted at the beginning of the content in IE.</li>
-		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/2634">#2634</a>] Fixed two obsolete
-			references to Array::AddItem() instances still in the code.</li>
-		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/2679">#2679</a>] Fixed infinite loop
-			problems with FCKDomRangeIterator class which causes some commands to hang when applied to certain
-			document structures.</li>
-		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/2649">#2649</a>] Fixed a JavaScript error
-			in IE when user tries to search with the "Match whole word" option enabled and the matched word is
-			at exactly the end of document.</li>
-		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/2603">#2603</a>] Changed the 
-			<a href="http://docs.fckeditor.net/EMailProtection">EMailProtection</a> to "none" for better 
-			compatibility.</li>
-		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/2612">#2612</a>] The 'ForcePasteAsPlainText' 
+		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/2503">#2503</a>] DL, DT
+			and DD where missing the formatting in the generated HTML.</li>
+		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/2516">#2516</a>] Replaced
+			the extension AddItem of Array with the standard "push" method.</li>
+		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/2486">#2486</a>] Vertically
+			splitting cell with colspan &gt; 1 breaks table layout.</li>
+		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/2597">#2597</a>] Fixed
+			the issue where dropping contents from outside of the editor doesn't work in Safari.</li>
+		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/2412">#2412</a>] Fixed
+			the issue where FCK.InsertHtml() is no longer removing selected contents after content
+			insertion in Firefox.</li>
+		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/2407">#2407</a>] Fixed
+			the issue where the Div container command and the blockquote command would break
+			lists.</li>
+		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/2469">#2469</a>] Fixed
+			a minor issue where FCK.SetData() may cause the editor to become unresponsive to
+			the first click after being defocused.</li>
+		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/2611">#2611</a>] Fixed
+			an extra slash on quickupload of the asp connector.</li>
+		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/2616">#2616</a>] Fixed
+			another situation where new elements were inserted at the beginning of the content
+			in IE.</li>
+		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/2634">#2634</a>] Fixed
+			two obsolete references to Array::AddItem() instances still in the code.</li>
+		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/2679">#2679</a>] Fixed
+			infinite loop problems with FCKDomRangeIterator class which causes some commands
+			to hang when applied to certain document structures.</li>
+		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/2649">#2649</a>] Fixed
+			a JavaScript error in IE when user tries to search with the "Match whole word" option
+			enabled and the matched word is at exactly the end of document.</li>
+		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/2603">#2603</a>] Changed
+			the <a href="http://docs.fckeditor.net/EMailProtection">EMailProtection</a> to "none"
+			for better compatibility.</li>
+		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/2612">#2612</a>] The 'ForcePasteAsPlainText'
 			configuration option didn't work correctly in Safari and Chrome.</li>
-		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/2696">#2696</a>] Fixed non-working
-			autogrow plugin.</li>
-		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/2753">#2753</a>] Fixed ocassional 
-			exceptions in the dragersizetable plugin with IE.</li>
-		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/2653">#2653</a>] and 
-			[<a target="_blank" href="http://dev.fckeditor.net/ticket/2733">#2733</a>] Enable undo of changes to 
-			tables and table cells.</li>
+		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/2696">#2696</a>] Fixed
+			non-working autogrow plugin.</li>
+		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/2753">#2753</a>] Fixed
+			occasional exceptions in the dragersizetable plugin with IE.</li>
+		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/2653">#2653</a>] and [<a
+			target="_blank" href="http://dev.fckeditor.net/ticket/2733">#2733</a>] Enable undo
+			of changes to tables and table cells.</li>
 		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/1865">#1865</a>] The context
 			menu is now working properly over the last row in a table with thead. Thanks to
Index: FCKeditor/trunk/editor/_source/classes/fckenterkey.js
===================================================================
--- FCKeditor/trunk/editor/_source/classes/fckenterkey.js	(revision 2907)
+++ FCKeditor/trunk/editor/_source/classes/fckenterkey.js	(revision 2908)
@@ -543,8 +543,8 @@
 				// range position and scroll relatively to it.
 				var tmpNode = this.Window.document.createElement( 'span' ) ;
-				
+
 				// We need some content for Safari.
 				tmpNode.innerHTML = '&nbsp;';
-				
+
 				oRange.InsertNode( tmpNode ) ;
 				FCKDomTools.ScrollIntoView( tmpNode, false ) ;
@@ -558,5 +558,5 @@
 			}
 		}
-		
+
 		oRange.Select() ;
 	}
Index: FCKeditor/trunk/editor/_source/classes/fckpanel.js
===================================================================
--- FCKeditor/trunk/editor/_source/classes/fckpanel.js	(revision 2907)
+++ FCKeditor/trunk/editor/_source/classes/fckpanel.js	(revision 2908)
@@ -152,6 +152,6 @@
 			return false ;
 
-		// Reset values. 
-		// We leave the IncreasedY untouched to avoid vertical movement of the 
+		// Reset values.
+		// We leave the IncreasedY untouched to avoid vertical movement of the
 		// menu if the submenu is higher than the main menu.
 		this.Subpanel = null ;
@@ -173,6 +173,6 @@
 	if ( this.IsRTL )
 		x  = x - w ;
-	
-	// Horizontally increase as needed (sum of widths). 
+
+	// Horizontally increase as needed (sum of widths).
 	// Vertically, use only the maximum of this menu or the submenu
 	var finalWidth = this.ShowRect.w + w ;
Index: FCKeditor/trunk/editor/_source/internals/fck_gecko.js
===================================================================
--- FCKeditor/trunk/editor/_source/internals/fck_gecko.js	(revision 2907)
+++ FCKeditor/trunk/editor/_source/internals/fck_gecko.js	(revision 2908)
@@ -322,5 +322,5 @@
 					FCK.ExecuteNamedCommand( 'Paste', null, true ) ;
 			}
-			catch (e)	{ 
+			catch (e)	{
 				if ( FCKConfig.ForcePasteAsPlainText )
 					FCK.PasteAsPlainText() ;
Index: FCKeditor/trunk/editor/_source/internals/fckselection_ie.js
===================================================================
--- FCKeditor/trunk/editor/_source/internals/fckselection_ie.js	(revision 2907)
+++ FCKeditor/trunk/editor/_source/internals/fckselection_ie.js	(revision 2908)
@@ -228,5 +228,5 @@
 	if ( selection )
 	{
-		// The call might fail if the document doesn't have the focus (#1801), 
+		// The call might fail if the document doesn't have the focus (#1801),
 		// but we don't want to modify the current selection (#2495) with a call to FCK.Focus() ;
 		try {
@@ -261,5 +261,5 @@
 FCKSelection.Restore = function()
 {
-	if ( this.SelectionData ) 
+	if ( this.SelectionData )
 	{
 		FCK.IsSelectionChangeLocked = true ;
Index: FCKeditor/trunk/editor/_source/internals/fcktablehandler.js
===================================================================
--- FCKeditor/trunk/editor/_source/internals/fcktablehandler.js	(revision 2907)
+++ FCKeditor/trunk/editor/_source/internals/fcktablehandler.js	(revision 2908)
@@ -511,5 +511,5 @@
 	var cellIndex = FCKTableHandler._GetCellIndexSpan( tableMap, currentRowIndex, currentCell ) ;
 	// Save current cell colSpan
-	var currentColSpan = isNaN( currentCell.colSpan ) ? 1 : currentCell.colSpan ;	
+	var currentColSpan = isNaN( currentCell.colSpan ) ? 1 : currentCell.colSpan ;
 	var currentRowSpan = currentCell.rowSpan ;
 	if ( isNaN( currentRowSpan ) )
@@ -575,5 +575,5 @@
 		var newCell = FCK.EditorDocument.createElement( currentCell.nodeName ) ;
 		if ( currentColSpan > 1 )
-			newCell.colSpan = currentColSpan ;		
+			newCell.colSpan = currentColSpan ;
 		if ( FCKBrowserInfo.IsGeckoLike )
 			FCKTools.AppendBogusBr( newCell	) ;
Index: FCKeditor/trunk/editor/dialog/common/fck_dialog_common.js
===================================================================
--- FCKeditor/trunk/editor/dialog/common/fck_dialog_common.js	(revision 2907)
+++ FCKeditor/trunk/editor/dialog/common/fck_dialog_common.js	(revision 2908)
@@ -327,5 +327,5 @@
 
 	// Only rename element nodes.
-	if ( oNode.nodeType != 1 ) 
+	if ( oNode.nodeType != 1 )
 		return null ;
 
Index: FCKeditor/trunk/editor/dialog/fck_table.html
===================================================================
--- FCKeditor/trunk/editor/dialog/fck_table.html	(revision 2907)
+++ FCKeditor/trunk/editor/dialog/fck_table.html	(revision 2908)
@@ -87,5 +87,5 @@
 		var eCaption = oEditor.FCKDomTools.GetFirstChild( table, 'CAPTION' ) ;
 		if ( eCaption ) document.getElementById('txtCaption').value = eCaption.innerHTML ;
-		
+
 		hasColumnHeaders = true ;
 		// Check if all the first cells in every row are TH
@@ -96,5 +96,5 @@
 			{
 				hasColumnHeaders = false ;
-				
+
 				break;
 			}
@@ -102,5 +102,5 @@
 
 		// Check if the table contains <thead>
-		if ((table.tHead !== null) ) 
+		if ((table.tHead !== null) )
 		{
 			if (hasColumnHeaders)
@@ -134,6 +134,6 @@
 	var bExists = ( table != null ) ;
 
-	var oDoc = oEditor.FCK.EditorDocument ; 
-	oEditor.FCKUndo.SaveUndoStep() ; 
+	var oDoc = oEditor.FCK.EditorDocument ;
+	oEditor.FCKUndo.SaveUndoStep() ;
 
 	if ( ! bExists )
@@ -189,8 +189,8 @@
 
 			//now change TD to TH:
-			for (var i = 0; i<theRow.childNodes.length ; i++) 
+			for (var i = 0; i<theRow.childNodes.length ; i++)
 			{
 				var th = RenameNode(theRow.childNodes[i], 'TH') ;
-				if (th != null) 
+				if (th != null)
 					th.scope='col' ;
 			}
@@ -205,11 +205,11 @@
 
 			var previousFirstRow = tbody.firstChild ;
-			while ( tHead.firstChild ) 
+			while ( tHead.firstChild )
 			{
 				var theRow = tHead.firstChild ;
-				for (var i = 0; i < theRow.childNodes.length ; i++ ) 
+				for (var i = 0; i < theRow.childNodes.length ; i++ )
 				{
 					var newCell = RenameNode( theRow.childNodes[i], 'TD' ) ;
-					if ( newCell != null ) 
+					if ( newCell != null )
 						newCell.removeAttribute( 'scope' ) ;
 				}
@@ -225,5 +225,5 @@
 			{
 				var newCell = RenameNode(table.rows[row].cells[0], 'TH') ;
-				if ( newCell != null ) 
+				if ( newCell != null )
 					newCell.scope = 'row' ;
 			}
@@ -239,5 +239,5 @@
 				{
 					var newCell = RenameNode(oRow.cells[0], 'TD') ;
-					if (newCell != null) 
+					if (newCell != null)
 						newCell.removeAttribute( 'scope' ) ;
 				}
@@ -259,8 +259,8 @@
 			var oRow = table.insertRow(-1) ;
 			oThead.appendChild(oRow);
-			
+
 			for ( var c = 0 ; c < iCols ; c++ )
 			{
-				var oThcell = oDoc.createElement( 'TH' ) ; 
+				var oThcell = oDoc.createElement( 'TH' ) ;
 				oThcell.scope = 'col' ;
 				oRow.appendChild( oThcell ) ;
@@ -275,8 +275,8 @@
 		{
 			// make TBODY if it doesn't exist
-			oTbody = oDoc.createElement( 'TBODY' ) ; 
+			oTbody = oDoc.createElement( 'TBODY' ) ;
 			table.appendChild( oTbody ) ;
 		}
-		for ( var r = startRow ; r < iRows; r++ ) 
+		for ( var r = startRow ; r < iRows; r++ )
 		{
 			var oRow = oDoc.createElement( 'TR' ) ;
@@ -297,5 +297,5 @@
 			for ( var c = startCol ; c < iCols ; c++ )
 			{
-				// IE will leave the TH at the end of the row if we use now oRow.insertCell(-1) 
+				// IE will leave the TH at the end of the row if we use now oRow.insertCell(-1)
 				var oCell = oDoc.createElement( 'TD' ) ;
 				oRow.appendChild( oCell ) ;
@@ -325,5 +325,5 @@
 										<span fcklang="DlgTableRows">Rows</span>:</td>
 									<td>
-										&nbsp;<input id="txtRows" type="text" maxlength="3" size="2" value="3" 
+										&nbsp;<input id="txtRows" type="text" maxlength="3" size="2" value="3"
 											onkeypress="return IsDigit(event);" /></td>
 								</tr>
@@ -332,5 +332,5 @@
 										<span fcklang="DlgTableColumns">Columns</span>:</td>
 									<td>
-										&nbsp;<input id="txtColumns" type="text" maxlength="2" size="2" value="2" 
+										&nbsp;<input id="txtColumns" type="text" maxlength="2" size="2" value="2"
 											onkeypress="return IsDigit(event);" /></td>
 								</tr>
Index: FCKeditor/trunk/editor/dialog/fck_tablecell.html
===================================================================
--- FCKeditor/trunk/editor/dialog/fck_tablecell.html	(revision 2907)
+++ FCKeditor/trunk/editor/dialog/fck_tablecell.html	(revision 2908)
@@ -74,5 +74,5 @@
 		GetE('txtBackColor').value		= GetAttribute( oCell, 'bgColor' ) ;
 		GetE('txtBorderColor').value	= GetAttribute( oCell, 'borderColor' ) ;
-		GetE('selCellType').value     = oCell.nodeName.toLowerCase() ; 
+		GetE('selCellType').value     = oCell.nodeName.toLowerCase() ;
 	}
 }
@@ -81,6 +81,6 @@
 function Ok()
 {
-	oEditor.FCKUndo.SaveUndoStep() ; 
-	
+	oEditor.FCKUndo.SaveUndoStep() ;
+
 	for( i = 0 ; i < aCells.length ; i++ )
 	{
@@ -103,23 +103,23 @@
 		SetAttribute( aCells[i], 'borderColor'	, GetE('txtBorderColor').value ) ;
 
-		var cellType = GetE('selCellType').value ; 
-		if ( aCells[i].nodeName.toLowerCase() != cellType ) 
+		var cellType = GetE('selCellType').value ;
+		if ( aCells[i].nodeName.toLowerCase() != cellType )
 			aCells[i] = RenameNode( aCells[i], cellType ) ;
 	}
 
-	// The cells need to be reselected, otherwise the caret will appear inside the table borders (Gecko) 
-	// or sent back to the beginning of the document (Opera and Safari). 
-	// Strangely, IE works ok so no change is needed for IE. 
-	if ( !oEditor.FCKBrowserInfo.IsIE ) 
-	{ 
-		var selection = oEditor.FCK.EditorWindow.getSelection() ; 
-		selection.removeAllRanges() ; 
-		for ( var i = 0 ; i < aCells.length ; i++ ) 
-		{ 
-			var range = oEditor.FCK.EditorDocument.createRange() ; 
-			range.selectNode( aCells[i] ) ; 
-			selection.addRange( range ) ; 
-		} 
-	} 
+	// The cells need to be reselected, otherwise the caret will appear inside the table borders (Gecko)
+	// or sent back to the beginning of the document (Opera and Safari).
+	// Strangely, IE works ok so no change is needed for IE.
+	if ( !oEditor.FCKBrowserInfo.IsIE )
+	{
+		var selection = oEditor.FCK.EditorWindow.getSelection() ;
+		selection.removeAllRanges() ;
+		for ( var i = 0 ; i < aCells.length ; i++ )
+		{
+			var range = oEditor.FCK.EditorDocument.createRange() ;
+			range.selectNode( aCells[i] ) ;
+			selection.addRange( range ) ;
+		}
+	}
 
 	return true ;
@@ -222,21 +222,21 @@
 								<tr>
 									<td nowrap="nowrap">
-									 <span fcklang="DlgCellType">Cell Type</span>:</td> 
-									<td colspan="2"> 
-										&nbsp; <select id="selCellType"> 
-											<option fcklang="DlgCellTypeData" value="td" />Data 
-											<option fcklang="DlgCellTypeHeader" value="th" />Header 
-										</select> 
-								</tr> 
-								<tr> 
-									<td> 
-										&nbsp;</td> 
-									<td> 
-										&nbsp;</td> 
-									<td> 
-										&nbsp;</td> 
-								</tr> 
-								<tr> 
-									<td nowrap="nowrap"> 
+									 <span fcklang="DlgCellType">Cell Type</span>:</td>
+									<td colspan="2">
+										&nbsp; <select id="selCellType">
+											<option fcklang="DlgCellTypeData" value="td" />Data
+											<option fcklang="DlgCellTypeHeader" value="th" />Header
+										</select>
+								</tr>
+								<tr>
+									<td>
+										&nbsp;</td>
+									<td>
+										&nbsp;</td>
+									<td>
+										&nbsp;</td>
+								</tr>
+								<tr>
+									<td nowrap="nowrap">
 										<span fcklang="DlgCellRowSpan">Rows Span</span>:</td>
 									<td>
Index: FCKeditor/trunk/editor/fckdialog.html
===================================================================
--- FCKeditor/trunk/editor/fckdialog.html	(revision 2907)
+++ FCKeditor/trunk/editor/fckdialog.html	(revision 2908)
@@ -410,5 +410,5 @@
 	EnsureSelection : function()
 	{
-		// Move the focus to the Cancel button so even if the dialog contains a 
+		// Move the focus to the Cancel button so even if the dialog contains a
 		// contentEditable element the selection is properly restored in the editor #2496
 		window.focus() ;
Index: FCKeditor/trunk/editor/lang/is.js
===================================================================
--- FCKeditor/trunk/editor/lang/is.js	(revision 2907)
+++ FCKeditor/trunk/editor/lang/is.js	(revision 2908)
@@ -533,536 +533,2 @@
 DlgDivInlineStyle	: "Línulægur stíll"
 };
-/*
- * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (C) 2003-2008 Frederico Caldeira Knabben
- *
- * == BEGIN LICENSE ==
- *
- * Licensed under the terms of any of the following licenses at your
- * choice:
- *
- *  - GNU General Public License Version 2 or later (the "GPL")
- *    http://www.gnu.org/licenses/gpl.html
- *
- *  - GNU Lesser General Public License Version 2.1 or later (the "LGPL")
- *    http://www.gnu.org/licenses/lgpl.html
- *
- *  - Mozilla Public License Version 1.1 or later (the "MPL")
- *    http://www.mozilla.org/MPL/MPL-1.1.html
- *
- * == END LICENSE ==
- *
- * Icelandic language file.
- */
-
-var FCKLang =
-{
-// Language direction : "ltr" (left to right) or "rtl" (right to left).
-Dir					: "ltr",
-
-ToolbarCollapse		: "Fela verkstiku",
-ToolbarExpand		: "Sýna verkstiku",
-
-// Toolbar Items and Context Menu
-Save				: "Vista",
-NewPage				: "Ný síða",
-Preview				: "Forskoða",
-Cut					: "Klippa",
-Copy				: "Afrita",
-Paste				: "Líma",
-PasteText			: "Líma ósniðinn texta",
-PasteWord			: "Líma úr Word",
-Print				: "Prenta",
-SelectAll			: "Velja allt",
-RemoveFormat		: "Fjarlægja snið",
-InsertLinkLbl		: "Stikla",
-InsertLink			: "Stofna/breyta stiklu",
-RemoveLink			: "Fjarlægja stiklu",
-VisitLink			: "Opna stiklusíðu",
-Anchor				: "Stofna/breyta kaflamerki",
-AnchorDelete		: "Eyða kaflamerki",
-InsertImageLbl		: "Setja inn mynd",
-InsertImage			: "Setja inn/breyta mynd",
-InsertFlashLbl		: "Flash",
-InsertFlash			: "Setja inn/breyta Flash",
-InsertTableLbl		: "Tafla",
-InsertTable			: "Setja inn/breyta töflu",
-InsertLineLbl		: "Lína",
-InsertLine			: "Lóðrétt lína",
-InsertSpecialCharLbl: "Merki",
-InsertSpecialChar	: "Setja inn merki",
-InsertSmileyLbl		: "Svipur",
-InsertSmiley		: "Setja upp svip",
-About				: "Um FCKeditor",
-Bold				: "Feitletrað",
-Italic				: "Skáletrað",
-Underline			: "Undirstrikað",
-StrikeThrough		: "Yfirstrikað",
-Subscript			: "Niðurskrifað",
-Superscript			: "Uppskrifað",
-LeftJustify			: "Vinstrijöfnun",
-CenterJustify		: "Miðja texta",
-RightJustify		: "Hægrijöfnun",
-BlockJustify		: "Jafna báðum megin",
-DecreaseIndent		: "Auka inndrátt",
-IncreaseIndent		: "Minnka inndrátt",
-Blockquote			: "Inndráttur",
-CreateDiv			: "Búa til DIV-hýsil",
-EditDiv				: "Breyta DIV-hýsli",
-DeleteDiv			: "Eyða DIV-hýsli",
-Undo				: "Afturkalla",
-Redo				: "Hætta við afturköllun",
-NumberedListLbl		: "Númeraður listi",
-NumberedList		: "Setja inn/fella númeraðan lista",
-BulletedListLbl		: "Punktalisti",
-BulletedList		: "Setja inn/fella punktalista",
-ShowTableBorders	: "Sýna töflugrind",
-ShowDetails			: "Sýna smáatriði",
-Style				: "Stílflokkur",
-FontFormat			: "Stílsnið",
-Font				: "Leturgerð ",
-FontSize			: "Leturstærð ",
-TextColor			: "Litur texta",
-BGColor				: "Bakgrunnslitur",
-Source				: "Kóði",
-Find				: "Leita",
-Replace				: "Skipta út",
-SpellCheck			: "Villuleit",
-UniversalKeyboard	: "Hnattrænt lyklaborð",
-PageBreakLbl		: "Síðuskil",
-PageBreak			: "Setja inn síðuskil",
-
-Form			: "Setja inn innsláttarform",
-Checkbox		: "Setja inn hökunarreit",
-RadioButton		: "Setja inn valhnapp",
-TextField		: "Setja inn textareit",
-Textarea		: "Setja inn textasvæði",
-HiddenField		: "Setja inn falið svæði",
-Button			: "Setja inn hnapp",
-SelectionField	: "Setja inn lista",
-ImageButton		: "Setja inn myndahnapp",
-
-FitWindow		: "Skoða ritil í fullri stærð",
-ShowBlocks		: "Sýna blokkir",
-
-// Context Menu
-EditLink			: "Breyta stiklu",
-CellCM				: "Reitur",
-RowCM				: "Röð",
-ColumnCM			: "Dálkur",
-InsertRowAfter		: "Skjóta inn röð fyrir neðan",
-InsertRowBefore		: "Skjóta inn röð fyrir ofan",
-DeleteRows			: "Eyða röð",
-InsertColumnAfter	: "Skjóta inn dálki hægra megin",
-InsertColumnBefore	: "Skjóta inn dálki vinstra megin",
-DeleteColumns		: "Fella dálk",
-InsertCellAfter		: "Skjóta inn reiti fyrir framan",
-InsertCellBefore	: "Skjóta inn reiti fyrir aftan",
-DeleteCells			: "Fella reit",
-MergeCells			: "Sameina reiti",
-MergeRight			: "Sameina til hægri",
-MergeDown			: "Sameina niður á við",
-HorizontalSplitCell	: "Kljúfa reit lárétt",
-VerticalSplitCell	: "Kljúfa reit lóðrétt",
-TableDelete			: "Fella töflu",
-CellProperties		: "Eigindi reits",
-TableProperties		: "Eigindi töflu",
-ImageProperties		: "Eigindi myndar",
-FlashProperties		: "Eigindi Flash",
-
-AnchorProp			: "Eigindi kaflamerkis",
-ButtonProp			: "Eigindi hnapps",
-CheckboxProp		: "Eigindi markreits",
-HiddenFieldProp		: "Eigindi falins svæðis",
-RadioButtonProp		: "Eigindi valhnapps",
-ImageButtonProp		: "Eigindi myndahnapps",
-TextFieldProp		: "Eigindi textareits",
-SelectionFieldProp	: "Eigindi lista",
-TextareaProp		: "Eigindi textasvæðis",
-FormProp			: "Eigindi innsláttarforms",
-
-FontFormats			: "Venjulegt letur;Forsniðið;Vistfang;Fyrirsögn 1;Fyrirsögn 2;Fyrirsögn 3;Fyrirsögn 4;Fyrirsögn 5;Fyrirsögn 6;Venjulegt (DIV)",
-
-// Alerts and Messages
-ProcessingXHTML		: "Meðhöndla XHTML...",
-Done				: "Tilbúið",
-PasteWordConfirm	: "Textinn sem þú ætlar að líma virðist koma úr Word. Viltu hreinsa óþarfar Word-skipanir úr honum?",
-NotCompatiblePaste	: "Þessi aðgerð er bundin við Internet Explorer 5.5 og nýrri. Viltu líma textann án þess að hreinsa hann?",
-UnknownToolbarItem	: "Óþekktur hlutur í verkstiku \"%1\"!",
-UnknownCommand		: "Óþekkt skipanaheiti \"%1\"!",
-NotImplemented		: "Skipun ekki virkjuð!",
-UnknownToolbarSet	: "Verkstikan \"%1\" ekki til!",
-NoActiveX			: "Öryggisstillingarnar í vafranum þínum leyfa ekki alla möguleika ritilsins.<br>Láttu vafrann leyfa Active-X og viðbætur til að komast hjá villum og takmörkunum.",
-BrowseServerBlocked : "Ritillinn getur ekki opnað nauðsynlega hjálparglugga!<br>Láttu hann leyfa þessari síðu að opna sprettiglugga.",
-DialogBlocked		: "Ekki var hægt að opna skipanaglugga!<br>Nauðsynlegt er að leyfa síðunni að opna sprettiglugga.",
-VisitLinkBlocked	: "Ekki var hægt að opna nýjan glugga. Gangtu úr skugga um að engir sprettigluggabanar séu virkir.",
-
-// Dialogs
-DlgBtnOK			: "Í lagi",
-DlgBtnCancel		: "Hætta við",
-DlgBtnClose			: "Loka",
-DlgBtnBrowseServer	: "Fletta í skjalasafni",
-DlgAdvancedTag		: "Tæknilegt",
-DlgOpOther			: "<Annað>",
-DlgInfoTab			: "Upplýsingar",
-DlgAlertUrl			: "Sláðu inn slóð",
-
-// General Dialogs Labels
-DlgGenNotSet		: "<ekkert valið>",
-DlgGenId			: "Auðkenni",
-DlgGenLangDir		: "Lesstefna",
-DlgGenLangDirLtr	: "Frá vinstri til hægri (LTR)",
-DlgGenLangDirRtl	: "Frá hægri til vinstri (RTL)",
-DlgGenLangCode		: "Tungumálakóði",
-DlgGenAccessKey		: "Skammvalshnappur",
-DlgGenName			: "Nafn",
-DlgGenTabIndex		: "Raðnúmer innsláttarreits",
-DlgGenLongDescr		: "Nánari lýsing",
-DlgGenClass			: "Stílsniðsflokkur",
-DlgGenTitle			: "Titill",
-DlgGenContType		: "Tegund innihalds",
-DlgGenLinkCharset	: "Táknróf",
-DlgGenStyle			: "Stíll",
-
-// Image Dialog
-DlgImgTitle			: "Eigindi myndar",
-DlgImgInfoTab		: "Almennt",
-DlgImgBtnUpload		: "Hlaða upp",
-DlgImgURL			: "Vefslóð",
-DlgImgUpload		: "Hlaða upp",
-DlgImgAlt			: "Baklægur texti",
-DlgImgWidth			: "Breidd",
-DlgImgHeight		: "Hæð",
-DlgImgLockRatio		: "Festa stærðarhlutfall",
-DlgBtnResetSize		: "Reikna stærð",
-DlgImgBorder		: "Rammi",
-DlgImgHSpace		: "Vinstri bil",
-DlgImgVSpace		: "Hægri bil",
-DlgImgAlign			: "Jöfnun",
-DlgImgAlignLeft		: "Vinstri",
-DlgImgAlignAbsBottom: "Abs neðst",
-DlgImgAlignAbsMiddle: "Abs miðjuð",
-DlgImgAlignBaseline	: "Grunnlína",
-DlgImgAlignBottom	: "Neðst",
-DlgImgAlignMiddle	: "Miðjuð",
-DlgImgAlignRight	: "Hægri",
-DlgImgAlignTextTop	: "Efri brún texta",
-DlgImgAlignTop		: "Efst",
-DlgImgPreview		: "Sýna dæmi",
-DlgImgAlertUrl		: "Sláðu inn slóðina að myndinni",
-DlgImgLinkTab		: "Stikla",
-
-// Flash Dialog
-DlgFlashTitle		: "Eigindi Flash",
-DlgFlashChkPlay		: "Sjálfvirk spilun",
-DlgFlashChkLoop		: "Endurtekning",
-DlgFlashChkMenu		: "Sýna Flash-valmynd",
-DlgFlashScale		: "Skali",
-DlgFlashScaleAll	: "Sýna allt",
-DlgFlashScaleNoBorder	: "Án ramma",
-DlgFlashScaleFit	: "Fella skala að stærð",
-
-// Link Dialog
-DlgLnkWindowTitle	: "Stikla",
-DlgLnkInfoTab		: "Almennt",
-DlgLnkTargetTab		: "Mark",
-
-DlgLnkType			: "Stikluflokkur",
-DlgLnkTypeURL		: "Vefslóð",
-DlgLnkTypeAnchor	: "Bókamerki á þessari síðu",
-DlgLnkTypeEMail		: "Netfang",
-DlgLnkProto			: "Samskiptastaðall",
-DlgLnkProtoOther	: "<annað>",
-DlgLnkURL			: "Vefslóð",
-DlgLnkAnchorSel		: "Veldu akkeri",
-DlgLnkAnchorByName	: "Eftir akkerisnafni",
-DlgLnkAnchorById	: "Eftir auðkenni einingar",
-DlgLnkNoAnchors		: "<Engin bókamerki á skrá>",
-DlgLnkEMail			: "Netfang",
-DlgLnkEMailSubject	: "Efni",
-DlgLnkEMailBody		: "Meginmál",
-DlgLnkUpload		: "Senda upp",
-DlgLnkBtnUpload		: "Senda upp",
-
-DlgLnkTarget		: "Mark",
-DlgLnkTargetFrame	: "<rammi>",
-DlgLnkTargetPopup	: "<sprettigluggi>",
-DlgLnkTargetBlank	: "Nýr gluggi (_blank)",
-DlgLnkTargetParent	: "Yfirsettur rammi (_parent)",
-DlgLnkTargetSelf	: "Sami gluggi (_self)",
-DlgLnkTargetTop		: "Allur glugginn (_top)",
-DlgLnkTargetFrameName	: "Nafn markglugga",
-DlgLnkPopWinName	: "Nafn sprettiglugga",
-DlgLnkPopWinFeat	: "Eigindi sprettiglugga",
-DlgLnkPopResize		: "Skölun",
-DlgLnkPopLocation	: "Fanglína",
-DlgLnkPopMenu		: "Vallína",
-DlgLnkPopScroll		: "Skrunstikur",
-DlgLnkPopStatus		: "Stöðustika",
-DlgLnkPopToolbar	: "Verkfærastika",
-DlgLnkPopFullScrn	: "Heilskjár (IE)",
-DlgLnkPopDependent	: "Háð venslum (Netscape)",
-DlgLnkPopWidth		: "Breidd",
-DlgLnkPopHeight		: "Hæð",
-DlgLnkPopLeft		: "Fjarlægð frá vinstri",
-DlgLnkPopTop		: "Fjarlægð frá efri brún",
-
-DlnLnkMsgNoUrl		: "Sláðu inn veffang stiklunnar!",
-DlnLnkMsgNoEMail	: "Sláðu inn netfang!",
-DlnLnkMsgNoAnchor	: "Veldu fyrst eitthvert bókamerki!",
-DlnLnkMsgInvPopName	: "Sprettisíðan verður að byrja á bókstaf (a-z) og má ekki innihalda stafabil",
-
-// Color Dialog
-DlgColorTitle		: "Velja lit",
-DlgColorBtnClear	: "Núllstilla",
-DlgColorHighlight	: "Litmerkja",
-DlgColorSelected	: "Valið",
-
-// Smiley Dialog
-DlgSmileyTitle		: "Velja svip",
-
-// Special Character Dialog
-DlgSpecialCharTitle	: "Velja tákn",
-
-// Table Dialog
-DlgTableTitle		: "Eigindi töflu",
-DlgTableRows		: "Raðir",
-DlgTableColumns		: "Dálkar",
-DlgTableBorder		: "Breidd ramma",
-DlgTableAlign		: "Jöfnun",
-DlgTableAlignNotSet	: "<ekkert valið>",
-DlgTableAlignLeft	: "Vinstrijafnað",
-DlgTableAlignCenter	: "Miðjað",
-DlgTableAlignRight	: "Hægrijafnað",
-DlgTableWidth		: "Breidd",
-DlgTableWidthPx		: "myndeindir",
-DlgTableWidthPc		: "prósent",
-DlgTableHeight		: "Hæð",
-DlgTableCellSpace	: "Bil milli reita",
-DlgTableCellPad		: "Reitaspássía",
-DlgTableCaption		: "Titill",
-DlgTableSummary		: "Áfram",
-DlgTableHeaders		: "Fyrirsagnir",
-DlgTableHeadersNone		: "Engar",
-DlgTableHeadersColumn	: "Fyrsti dálkur",
-DlgTableHeadersRow		: "Fyrsta röð",
-DlgTableHeadersBoth		: "Hvort tveggja",
-
-// Table Cell Dialog
-DlgCellTitle		: "Eigindi reits",
-DlgCellWidth		: "Breidd",
-DlgCellWidthPx		: "myndeindir",
-DlgCellWidthPc		: "prósent",
-DlgCellHeight		: "Hæð",
-DlgCellWordWrap		: "Línuskipting",
-DlgCellWordWrapNotSet	: "<ekkert valið>",
-DlgCellWordWrapYes	: "Já",
-DlgCellWordWrapNo	: "Nei",
-DlgCellHorAlign		: "Lárétt jöfnun",
-DlgCellHorAlignNotSet	: "<ekkert valið>",
-DlgCellHorAlignLeft	: "Vinstrijafnað",
-DlgCellHorAlignCenter	: "Miðjað",
-DlgCellHorAlignRight: "Hægrijafnað",
-DlgCellVerAlign		: "Lóðrétt jöfnun",
-DlgCellVerAlignNotSet	: "<ekkert valið>",
-DlgCellVerAlignTop	: "Efst",
-DlgCellVerAlignMiddle	: "Miðjað",
-DlgCellVerAlignBottom	: "Neðst",
-DlgCellVerAlignBaseline	: "Grunnlína",
-DlgCellType		: "Tegund reits",
-DlgCellTypeData		: "Gögn",
-DlgCellTypeHeader	: "Fyrirsögn",
-DlgCellRowSpan		: "Hæð í röðum talið",
-DlgCellCollSpan		: "Breidd í dálkum talið",
-DlgCellBackColor	: "Bakgrunnslitur",
-DlgCellBorderColor	: "Rammalitur",
-DlgCellBtnSelect	: "Veldu...",
-
-// Find and Replace Dialog
-DlgFindAndReplaceTitle	: "Finna og skipta",
-
-// Find Dialog
-DlgFindTitle		: "Finna",
-DlgFindFindBtn		: "Finna",
-DlgFindNotFoundMsg	: "Leitartexti fannst ekki!",
-
-// Replace Dialog
-DlgReplaceTitle			: "Skipta út",
-DlgReplaceFindLbl		: "Leita að:",
-DlgReplaceReplaceLbl	: "Skipta út fyrir:",
-DlgReplaceCaseChk		: "Gera greinarmun á¡ há¡- og lágstöfum",
-DlgReplaceReplaceBtn	: "Skipta út",
-DlgReplaceReplAllBtn	: "Skipta út allsstaðar",
-DlgReplaceWordChk		: "Aðeins heil orð",
-
-// Paste Operations / Dialog
-PasteErrorCut	: "Öryggisstillingar vafrans þíns leyfa ekki klippingu texta með músaraðgerð. Notaðu lyklaborðið í klippa (Ctrl+X).",
-PasteErrorCopy	: "Öryggisstillingar vafrans þíns leyfa ekki afritun texta með músaraðgerð. Notaðu lyklaborðið í afrita (Ctrl+C).",
-
-PasteAsText		: "Líma sem ósniðinn texta",
-PasteFromWord	: "Líma úr Word",
-
-DlgPasteMsg2	: "Límdu í svæðið hér að neðan og (<STRONG>Ctrl+V</STRONG>) og smelltu á <STRONG>OK</STRONG>.",
-DlgPasteSec		: "Vegna öryggisstillinga í vafranum þínum fær ritillinn ekki beinan aðgang að klippuborðinu. Þú verður að líma innihaldið aftur inn í þennan glugga.",
-DlgPasteIgnoreFont		: "Hunsa leturskilgreiningar",
-DlgPasteRemoveStyles	: "Hunsa letureigindi",
-
-// Color Picker
-ColorAutomatic	: "Sjálfval",
-ColorMoreColors	: "Fleiri liti...",
-
-// Document Properties
-DocProps		: "Eigindi skjals",
-
-// Anchor Dialog
-DlgAnchorTitle		: "Eigindi bókamerkis",
-DlgAnchorName		: "Nafn bókamerkis",
-DlgAnchorErrorName	: "Sláðu inn nafn bókamerkis!",
-
-// Speller Pages Dialog
-DlgSpellNotInDic		: "Ekki í orðabókinni",
-DlgSpellChangeTo		: "Tillaga",
-DlgSpellBtnIgnore		: "Hunsa",
-DlgSpellBtnIgnoreAll	: "Hunsa allt",
-DlgSpellBtnReplace		: "Skipta",
-DlgSpellBtnReplaceAll	: "Skipta öllu",
-DlgSpellBtnUndo			: "Til baka",
-DlgSpellNoSuggestions	: "- engar tillögur -",
-DlgSpellProgress		: "Villuleit í gangi...",
-DlgSpellNoMispell		: "Villuleit lokið: Engin villa fannst",
-DlgSpellNoChanges		: "Villuleit lokið: Engu orði breytt",
-DlgSpellOneChange		: "Villuleit lokið: Einu orði breytt",
-DlgSpellManyChanges		: "Villuleit lokið: %1 orðum breytt",
-
-IeSpellDownload			: "Villuleit ekki sett upp.<br>Viltu setja hana upp?",
-
-// Button Dialog
-DlgButtonText		: "Texti",
-DlgButtonType		: "Gerð",
-DlgButtonTypeBtn	: "Hnappur",
-DlgButtonTypeSbm	: "Staðfesta",
-DlgButtonTypeRst	: "Hreinsa",
-
-// Checkbox and Radio Button Dialogs
-DlgCheckboxName		: "Nafn",
-DlgCheckboxValue	: "Gildi",
-DlgCheckboxSelected	: "Valið",
-
-// Form Dialog
-DlgFormName		: "Nafn",
-DlgFormAction	: "Aðgerð",
-DlgFormMethod	: "Aðferð",
-
-// Select Field Dialog
-DlgSelectName		: "Nafn",
-DlgSelectValue		: "Gildi",
-DlgSelectSize		: "Stærð",
-DlgSelectLines		: "línur",
-DlgSelectChkMulti	: "Leyfa fleiri kosti",
-DlgSelectOpAvail	: "Kostir",
-DlgSelectOpText		: "Texti",
-DlgSelectOpValue	: "Gildi",
-DlgSelectBtnAdd		: "Bæta við",
-DlgSelectBtnModify	: "Breyta",
-DlgSelectBtnUp		: "Upp",
-DlgSelectBtnDown	: "Niður",
-DlgSelectBtnSetValue : "Merkja sem valið",
-DlgSelectBtnDelete	: "Eyða",
-
-// Textarea Dialog
-DlgTextareaName	: "Nafn",
-DlgTextareaCols	: "Dálkar",
-DlgTextareaRows	: "Línur",
-
-// Text Field Dialog
-DlgTextName			: "Nafn",
-DlgTextValue		: "Gildi",
-DlgTextCharWidth	: "Breidd (leturtákn)",
-DlgTextMaxChars		: "Hámarksfjöldi leturtákna",
-DlgTextType			: "Gerð",
-DlgTextTypeText		: "Texti",
-DlgTextTypePass		: "Lykilorð",
-
-// Hidden Field Dialog
-DlgHiddenName	: "Nafn",
-DlgHiddenValue	: "Gildi",
-
-// Bulleted List Dialog
-BulletedListProp	: "Eigindi depillista",
-NumberedListProp	: "Eigindi tölusetts lista",
-DlgLstStart			: "Byrja",
-DlgLstType			: "Gerð",
-DlgLstTypeCircle	: "Hringur",
-DlgLstTypeDisc		: "Fylltur hringur",
-DlgLstTypeSquare	: "Ferningur",
-DlgLstTypeNumbers	: "Tölusett (1, 2, 3)",
-DlgLstTypeLCase		: "Lágstafir (a, b, c)",
-DlgLstTypeUCase		: "Hástafir (A, B, C)",
-DlgLstTypeSRoman	: "Rómverkar lágstafatölur (i, ii, iii)",
-DlgLstTypeLRoman	: "Rómverkar hástafatölur (I, II, III)",
-
-// Document Properties Dialog
-DlgDocGeneralTab	: "Almennt",
-DlgDocBackTab		: "Bakgrunnur",
-DlgDocColorsTab		: "Litir og rammar",
-DlgDocMetaTab		: "Lýsigögn",
-
-DlgDocPageTitle		: "Titill síðu",
-DlgDocLangDir		: "Tungumál",
-DlgDocLangDirLTR	: "Vinstri til hægri (LTR)",
-DlgDocLangDirRTL	: "Hægri til vinstri (RTL)",
-DlgDocLangCode		: "Tungumálakóði",
-DlgDocCharSet		: "Letursett",
-DlgDocCharSetCE		: "Mið-evrópskt",
-DlgDocCharSetCT		: "Kínverskt, hefðbundið (Big5)",
-DlgDocCharSetCR		: "Kýrilskt",
-DlgDocCharSetGR		: "Grískt",
-DlgDocCharSetJP		: "Japanskt",
-DlgDocCharSetKR		: "Kóreskt",
-DlgDocCharSetTR		: "Tyrkneskt",
-DlgDocCharSetUN		: "Unicode (UTF-8)",
-DlgDocCharSetWE		: "Vestur-evrópst",
-DlgDocCharSetOther	: "Annað letursett",
-
-DlgDocDocType		: "Flokkur skjalategunda",
-DlgDocDocTypeOther	: "Annar flokkur skjalategunda",
-DlgDocIncXHTML		: "Fella inn XHTML lýsingu",
-DlgDocBgColor		: "Bakgrunnslitur",
-DlgDocBgImage		: "Slóð bakgrunnsmyndar",
-DlgDocBgNoScroll	: "Læstur bakgrunnur",
-DlgDocCText			: "Texti",
-DlgDocCLink			: "Stikla",
-DlgDocCVisited		: "Heimsótt stikla",
-DlgDocCActive		: "Virk stikla",
-DlgDocMargins		: "Hliðarspássía",
-DlgDocMaTop			: "Efst",
-DlgDocMaLeft		: "Vinstri",
-DlgDocMaRight		: "Hægri",
-DlgDocMaBottom		: "Neðst",
-DlgDocMeIndex		: "Lykilorð efnisorðaskrár (aðgreind með kommum)",
-DlgDocMeDescr		: "Lýsing skjals",
-DlgDocMeAuthor		: "Höfundur",
-DlgDocMeCopy		: "Höfundarréttur",
-DlgDocPreview		: "Sýna",
-
-// Templates Dialog
-Templates			: "Sniðmát",
-DlgTemplatesTitle	: "Innihaldssniðmát",
-DlgTemplatesSelMsg	: "Veldu sniðmát til að opna í ritlinum.<br>(Núverandi innihald víkur fyrir því!):",
-DlgTemplatesLoading	: "Sæki lista yfir sniðmát...",
-DlgTemplatesNoTpl	: "(Ekkert sniðmát er skilgreint!)",
-DlgTemplatesReplace	: "Skipta út raunverulegu innihaldi",
-
-// About Dialog
-DlgAboutAboutTab	: "Um",
-DlgAboutBrowserInfoTab	: "Almennt",
-DlgAboutLicenseTab	: "Leyfi",
-DlgAboutVersion		: "útgáfa",
-DlgAboutInfo		: "Nánari upplýsinar, sjá:",
-
-// Div Dialog
-DlgDivGeneralTab	: "Almennt",
-DlgDivAdvancedTab	: "Sérhæft",
-DlgDivStyle		: "Stíll",
-DlgDivInlineStyle	: "Línulægur stíll"
-};
Index: FCKeditor/trunk/editor/plugins/autogrow/fckplugin.js
===================================================================
--- FCKeditor/trunk/editor/plugins/autogrow/fckplugin.js	(revision 2907)
+++ FCKeditor/trunk/editor/plugins/autogrow/fckplugin.js	(revision 2908)
@@ -32,7 +32,7 @@
 		{
 			var newHeight = window.frameElement.offsetHeight + delta ;
-			
+
 			newHeight = FCKAutoGrow.GetEffectiveHeight( newHeight ) ;
-			
+
 			if ( newHeight != window.frameElement.height )
 			{
@@ -67,5 +67,5 @@
 				height = max;
 		}
-		
+
 		return height;
 	},
@@ -87,6 +87,6 @@
 			iFrameHeight = FCK.EditorWindow.innerHeight ;
 			iInnerHeight = oInnerDoc.body.offsetHeight +
-				( parseInt( FCKDomTools.GetCurrentElementStyle( oInnerDoc.body, 'margin-top' ) ) || 0 ) +
-				( parseInt( FCKDomTools.GetCurrentElementStyle( oInnerDoc.body, 'margin-bottom' ) ) || 0 ) ;
+				( parseInt( FCKDomTools.GetCurrentElementStyle( oInnerDoc.body, 'margin-top' ), 10 ) || 0 ) +
+				( parseInt( FCKDomTools.GetCurrentElementStyle( oInnerDoc.body, 'margin-bottom' ), 10 ) || 0 ) ;
 		}
 
